## org.apache.tools.ant.taskdefs.optional.sitraka
Class CovReport.Reference

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.optional.sitraka.CovReport.Reference

Enclosing class:
  CovReport

public class CovReport.Reference
extends java.lang.Object

Field Summary
`protected Path` `classPath`
`protected ReportFilters` `filters`

Constructor Summary
`CovReport.Reference()`

Method Summary
`Path` `createClasspath()`
`protected void` `createEnhancedXMLReport()`
`ReportFilters` `createFilters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### classPath

    protected Path classPath

### filters

    protected ReportFilters filters

Constructor Detail

### CovReport.Reference

    public CovReport.Reference()

Method Detail

### createClasspath

    public Path createClasspath()

### createFilters

    public ReportFilters createFilters()

### createEnhancedXMLReport

    protected void createEnhancedXMLReport()
                                    throws BuildException

    `BuildException`

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.